# PulpContainerClient::ContainerContainerPushRepositoryResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. This is provided as a tech preview in Pulp 3 and may change in the future. | [optional] 
**pulp_href** | **String** |  | [optional] [readonly] 
**manifest_signing_service** | **String** | A reference to an associated signing service. | [optional] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | A unique name for this repository. | 
**versions_href** | **String** |  | [optional] [readonly] 
**latest_version_href** | **String** |  | [optional] [readonly] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**description** | **String** | An optional description. | [optional] 

## Code Sample

```ruby
require 'PulpContainerClient'

instance = PulpContainerClient::ContainerContainerPushRepositoryResponse.new(retain_repo_versions: null,
                                 pulp_href: null,
                                 manifest_signing_service: null,
                                 pulp_created: null,
                                 name: null,
                                 versions_href: null,
                                 latest_version_href: null,
                                 pulp_labels: null,
                                 description: null)
```


