# PulpContainerClient::ContainerRepositorySyncURL

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**remote** | **String** | A remote to sync from. This will override a remote set on repository. | [optional] 
**mirror** | **Boolean** | If &#x60;&#x60;True&#x60;&#x60;, synchronization will remove all content that is not present in the remote repository. If &#x60;&#x60;False&#x60;&#x60;, sync will be additive only. | [optional] [default to false]
**signed_only** | **Boolean** | If &#x60;&#x60;True&#x60;&#x60;, only signed content will be synced. Signatures are not verified. | [optional] [default to false]

## Code Sample

```ruby
require 'PulpContainerClient'

instance = PulpContainerClient::ContainerRepositorySyncURL.new(remote: null,
                                 mirror: null,
                                 signed_only: null)
```


