# PulpContainerClient::RepositorySign

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**manifest_signing_service** | **String** | A signing service to sign with. This will override a signing service set on the repo. | [optional] 
**future_base_path** | **String** | Future base path content will be distributed at for sync repos | [optional] 
**tags_list** | [**Array&lt;AnyType&gt;**](AnyType.md) | A list of tags to sign. | [optional] 

## Code Sample

```ruby
require 'PulpContainerClient'

instance = PulpContainerClient::RepositorySign.new(manifest_signing_service: null,
                                 future_base_path: null,
                                 tags_list: null)
```


